一、相关网站

1.Flutter官方网站
2.Flutter 掘金社区
3.Flutter SDK官网下载地址
4.Flutter SDK github 下载地址
5.Flutter 国内镜像地址

二、国内镜像(环境变量配置)

由于在国内访问Flutter有时可能会受到限制,Flutter官方为中国开发者搭建了临时镜像,大家可以将如下环境变量加入到用户环境变量中:
命令:
1.打开环境变量文件:open ~/.bash_profile
2.保存修改并生效:source .bash_profile
在.bash_profile 文件中配置环境变量

export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn
注意: 此镜像为临时镜像,并不能保证一直可用,读者可以参考详情请参考 Using Flutter in China 以获得有关镜像服务器的最新动态。

三、获取 Flutter SDK

1.去flutter官网下载其最新可用的安装包,转到下载页 。
注意,Flutter的渠道版本会不停变动,请以Flutter官网为准。另外,在中国大陆地区,要想正常获取安装包列表或下载安装包,可能需要翻墙,读者也可以去Flutter github项目下去下载安装包,转到下载页 。
或者使用
git init
git clone https://github.com/flutter/flutter.git命令进行下载。推荐使用这个方式
2.将 github 上下载的 SDK zip 包解压安装包到你想安装的目录。
3.添加flutter相关工具到path中:
这一步还是到环境变量配置页面进行添加
export PATH=’path’/flutter/bin:$PATH
path:代表你 Flutter SDK 存放的地址。

四、运行 flutter doctor

运行以下命令查看是否需要安装其它依赖项来完成安装:
flutter doctor
该命令检查您的环境并在终端窗口中显示报告。Dart SDK已经在捆绑在Flutter里了,没有必要单独安装Dart。 仔细检查命令行输出以获取可能需要安装的其他软件或进一步需要执行的任务(以粗体显示)
”’
VersionCheckError: VersionCheckError: Command exited with code 128: git log -n 1 –pretty=format:%ad –date=iso
Standard error: fatal: your current branch ‘master’ does not have any commits yet
”’
这个问题出现的原因就是三中使用第一种方式下载Flutter SDK 之后进行解压文件夹的名称非 flutter,这样在添加flutter相关工具到path中后,执行 flutter doctor 命令时就会出现这个问题,所以推荐大家使用 git clone 命令进行下载 Flutter SDK 这样就不会遇到这个问题。

”’
Mac Flutter plugin not installed; this adds Flutter specific functionality,✗ Dart plugin not insttall
”’
出现这个问题的原因是没有在 Android Studio 中添加 Flutter 插件,

frc 094636203bb59e79e765ee1c5cadd98c - Flutter 学习之路(一):Mac  Flutter 环境搭建
安装 flutter 插件

再运行 flutter doctor 命令即可。

Flutter 学习之路(一):Mac Flutter 环境搭建